%define rel 1

Name: lxqt-powermanagement
Version: 0.11.1
Release: %mkrel %rel
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary: Power management module for LXQt
URL: http://lxqt.org/
License: LGPLv2+
Group: Graphical desktop/KDE
BuildRequires: cmake
BuildRequires: pkgconfig(lxqt)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(xcb)

BuildRequires: qt5gui-private-devel
BuildRequires: solid-devel

BuildRequires: cmake(KF5IdleTime)

Obsoletes: razorqt-power < 0.5.3-1
Obsoletes: razorqt-autosuspend < 0.5.3-1
#upower binary is required to prevent "power management disabled" popup on login
Requires: upower

%description
Power management module for LXQt.

%prep
%setup -q

%autopatch -p1

%build
%cmake_qt5 -DBUILD_DOCUMENTATION=ON -DPULL_TRANSLATIONS=NO
%make

%install
%make_install -C build


%files
%{_bindir}/lxqt-config-powermanagement
%{_bindir}/%{name}
%{_datadir}/applications/lxqt-config-powermanagement.desktop
%{_datadir}/icons/*/*/*/laptop-lid.svg


%changelog
* Fri Mar 17 2017 neoclust <neoclust> 0.11.1-1.mga6
+ Revision: 1093318
- New version 0.11.1

* Tue Nov 08 2016 neoclust <neoclust> 0.11.0-1.mga6
+ Revision: 1066006
- New version 0.11.0

* Mon Mar 28 2016 doktor5000 <doktor5000> 0.10.0-5.mga6
+ Revision: 995930
+ rebuild (emptylog)

* Mon Feb 15 2016 umeabot <umeabot> 0.10.0-4.mga6
+ Revision: 961320
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-3.mga6
+ Revision: 900888
- Rebuild against fixed qtbase5
- Use qt5 cmake macro

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 900212
- New version 0.10.0

* Sun Feb 22 2015 tmb <tmb> 0.9.0-2.mga5
+ Revision: 816529
- BR: qt5gui-private-devel

  + doktor5000 <doktor5000>
    - new version 0.9.0
    - added translations
    - remove conditional handling for QT5 as QT4 is not supported anymore
    - adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
    - use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-4.mga5
+ Revision: 803672
- rebuild for QT 5.4 breakage

* Sun Oct 26 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 793519
- do not remove LXQt Catgories from .desktop file
- add Require on upower binary (from task-lxqt-minimal)

* Fri Oct 24 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 793085
- add missing BuildRequires on BuildRequires: pkgconfig(Qt5Help)
- new version 0.8
- enabled QT5 build
- correct license
- dropped unneeded patch
- added BuildRequires on pkgconfig(Qt5Svg)

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-6.mga5
+ Revision: 750603
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-5.mga5
+ Revision: 682095
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 wally <wally> 0.7.0-4.mga5
+ Revision: 675127
- really obsolete razorqt-autosuspend

* Sat Sep 13 2014 wally <wally> 0.7.0-3.mga5
+ Revision: 675111
- obsolete razorqt-autosuspend

* Sat Sep 13 2014 wally <wally> 0.7.0-2.mga5
+ Revision: 675028
- obsolete razorqt-power

* Sun May 25 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 626444
- fix .desktop file, remove Category=LXQt for now
- use %%mkrel
- fix and add missing BuildRequires
- imported package lxqt-powermanagement


* Thu May 08 2014 Rosa <rosa@abf.rosalinux.ru> 0.7.0-1
+ Revision: 09027bf
- Automatic import for version 0.7.0-1


